<?php

namespace App\Imports;

use App\Models\DataDBD;
use App\Models\Kecamatan;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class ImportData implements ToModel, WithHeadingRow
{
    public function model(array $row)
    {
        // Ambil ID kecamatan berdasarkan nama kecamatan dari data Excel
        $kecamatan = Kecamatan::where('nama_kecamatan', $row['kecamatan'])->first();

        // Jika kecamatan ditemukan, buat instance model DataDBD dengan ID kecamatan yang sesuai
        if ($kecamatan) {
            return new DataDBD([
                'id_kecamatan' => $kecamatan->id,
                'tahun' => $row['tahun'],
                'bulan' => $row['Bulan'],
                'jumlah_kasus' => $row['jumlah kasus'],
            ]);
        }

        // Jika kecamatan tidak ditemukan, kembalikan null atau lakukan penanganan yang sesuai
        return null;
    }
}
